pliny.namespace({
  name: "Util",
  description: "A few different utility functions.\n\
\n\
When including Primrose as a `script` tag, the Util functions are imported directly onto the window object and is available without qualification."
});

import Angle from "./Angle";
import AsyncLockRequest from "./AsyncLockRequest";
import cache from "./cache";
import deleteSetting from "./deleteSetting";
import findProperty from "./findProperty";
import FullScreen from "./FullScreen";
import getSetting from "./getSetting";
import "./haxBox";
import haxClass from "./haxClass";
import haxFunction from "./haxFunction";
import identity from "./identity";
import immutable from "./immutable";
import isTimestampDeltaValid from "./isTimestampDeltaValid";
import mutable from "./mutable";
import Orientation from "./Orientation";
import PointerLock from "./PointerLock";
import promisify from "./promisify";
import setSetting from "./setSetting";
import standardExitFullScreenBehavior from "./standardExitFullScreenBehavior";
import standardFullScreenBehavior from "./standardFullScreenBehavior";
import standardLockBehavior from "./standardLockBehavior";
import standardUnlockBehavior from "./standardUnlockBehavior";
import Workerize from "./Workerize";

export {
  Angle,
  AsyncLockRequest,
  cache,
  deleteSetting,
  findProperty,
  FullScreen,
  getSetting,
  haxClass,
  haxFunction,
  identity,
  immutable,
  isTimestampDeltaValid,
  mutable,
  Orientation,
  PointerLock,
  promisify,
  setSetting,
  standardExitFullScreenBehavior,
  standardFullScreenBehavior,
  standardLockBehavior,
  standardUnlockBehavior,
  Workerize
};

export default {
  Angle,
  AsyncLockRequest,
  cache,
  deleteSetting,
  findProperty,
  FullScreen,
  getSetting,
  haxClass,
  haxFunction,
  identity,
  immutable,
  isTimestampDeltaValid,
  mutable,
  Orientation,
  PointerLock,
  promisify,
  setSetting,
  standardExitFullScreenBehavior,
  standardFullScreenBehavior,
  standardLockBehavior,
  standardUnlockBehavior,
  Workerize
};
